Subject: Re: [multipathtcp] Observed low throughput when combined High Speed and Low Speed

From: Christoph Paasch <[email-masked]>
Date: Mon, 05 Mar 2018 21:55:14 -0800

(moving the IETF-group to BCC as this is a Linux issue)

Hello Gangadhar,

> On Mar 1, 2018, at 5:54 AM, Gangadhar Akula <[email-masked]> wrote:
> 
> Hello Team,
> 
> I have run a couple of tests with MPTCP for performance benchmarking.
> I found that when we combine two different speeds, High speed, and Low speed, 
> the resultant is speed is lower than a high-speed link. 
> Is there any configuration that I can make to ensure that it will not happen at all?

in principle, the scheduler should make sure that you get at least the throughput of the highest speed link.

Which release of MPTCP are you using?
Can you provide a packet-trace of such a scenario?

Thanks,
Christoph

> 
> Setting low-speed path as the backup path is not my intention, as at times the low-speed paths have good speed and give better results.
> 
> 20 Times Speed Difference		5 Times Speed Difference		2 Times Speed Difference
> Test No.	Speed A MPTCP OFF	Speed B MPTCP OFF	Speed A+B MPTCP ON		Speed A MPTCP OFF	Speed B MPTCP OFF	Speed A+B MPTCP ON		Speed A MPTCP OFF	Speed B MPTCP OFF	Speed A+B MPTCP ON
> 1	450	43	158		18	202	301		507	202	373
> 2	539	21	161		29	261	262		460	261	542
> 3	496	19	105		39	156	151		501	156	758
> 4	661		145		25	170	139		693	170	502
> 5	378		180		32	104	145		492	104	642
> 6	376		127		97	176	106		659	176	416
> 7	277		92		72	263	149		475	263	617
> 8	384		125		63	233	162		448	233	431
> 9	286		159		56	236	273		316	236	483
> 10	438		193		86	337	304		479	337	465
> Speed- KBPS	428.5	27.66666667	144.5		51.7	213.8	199.2		503	213.8	522.9
> Mbps	3.34765625	0.216145833	1.12890625		0.40390625	1.6703125	1.55625		3.9296875	1.6703125	4.08515625
> 11	419	18	215		79	584	541		313	240	529
> 12	457	22	223		58	538	634		273	259	455
> 13	312	20	348		50	578	564		293	276	234
> 14	373		317		52	700	597		231	292	320
> 15	440		326		63	612	516		377	155	446
> 16	781		348		40	770	731		380	207	381
> 17	641		286		35	604	438		642	202	334
> 18	298		228		51	420	392		600	292	427
> 19	573		296		26	571	600		247	427	717
> 20	532		304		73	350	708		492	241	417
> Speed- KBPS	482.6	20	289.1		52.7	572.7	572.1		384.8	259.1	426
> Mbps	3.7703125	0.15625	2.25859375		0.41171875	4.47421875	4.46953125		3.00625	2.02421875	3.328125
> 
> 
> Best Regards,
> Gangadhar Akula
> <MPTCP_Performance with various speed differences.png><MPTCP_Performance with various speed differences.xlsx>